//PocketDecoration v1.1 by TheViictor
// The following code is copyright of TheViictor, licensed under the MIT License

/*
	The MIT License (MIT)

	Copyright (c) 2015 Victor Recio (TheViictor)

	Permission is hereby granted, free of charge, to any person obtaining a copy
	of this software and associated documentation files (the "Software"), to deal
	in the Software without restriction, including without limitation the rights
	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	copies of the Software, and to permit persons to whom the Software is
	furnished to do so, subject to the following conditions:

	The above copyright notice and this permission notice shall be included in all
	copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
	SOFTWARE.
*/

function newLevel(){
clientMessage("§ePocketDecoration v1.1 by §6TheViictor");
clientMessage("§aUse the command §2/furniture §ato get all the items!");
}

//Blocks

Block.defineBlock(201,"Bin",[["iron_block",0],["bin_top",0],["iron_block",0],["iron_block",0],["iron_block",0],["iron_block",0]],1,false);
Block.setShape(201,2/16,0/16,2/16,14/16,14/16,14/16);
Block.setLightOpacity(201,.000001);
Block.setDestroyTime(201,0.3);

Block.defineBlock(202,"Cabinet",[["planks",2],["planks",2],["planks",2],["cabinet",0],["planks",2],["planks",2],
                                 ["planks",2],["planks",2],["planks",2],["planks",2],["planks",2],["cabinet",0],
                                 ["planks",2],["planks",2],["cabinet",0],["planks",2],["planks",2],["planks",2],
                                 ["planks",2],["planks",2],["planks",2],["planks",2],["cabinet",0],["planks",2]],5,false);
Block.setLightOpacity(202,.000001);
Block.setDestroyTime(202,0.3);

Block.defineBlock(203,"Chopping Board",[["planks",0],["planks",0],["log",0],["log",0],["log",0],["log",0]],5,false);
Block.setShape(203,3/16,0/16,1/16,13/16,1/16,15/16);
Block.setLightOpacity(203,.000001);
Block.setDestroyTime(203,0.3);

Block.defineBlock(204,"Keyboard",[["iron_block",0],["pc_keyboard",0],["iron_block",0],["iron_block",0],["iron_block",0],["iron_block",0]],1,false);
Block.setShape(204,0/16,0/16,3/16,16/16,1/16,16/16);
Block.setLightOpacity(204,.000001);
Block.setDestroyTime(204,0.3);

Block.defineBlock(205,"Computer",[["iron_block",0],["iron_block",0],["computer_screen",0],["computer",0],["iron_block",0],["iron_block",0]],1,false);
Block.setShape(205,0/16,0/16,0/16,16/16,16/16,1/16);
Block.setLightOpacity(205,.000001);
Block.setDestroyTime(205,0.3);

Block.defineBlock(206,"Dishwasher",[["quartz_block",0],["quartz_block",0],["quartz_block",0],["dishwasher",0],["quartz_block",0],["quartz_block",0],
                                    ["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["dishwasher",0],
                                    ["quartz_block",0],["quartz_block",0],["dishwasher",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],
                                 ["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["dishwasher",0],["quartz_block",0]],1,false);
Block.setLightOpacity(206,.000001);
Block.setDestroyTime(206,0.3);

Block.defineBlock(207,"Fridge",[["iron_block",0],["iron_block",0],["wall_cabinet",0],["iron_block",0],["iron_block",0],["iron_block",0]],1,false);
Block.setLightOpacity(207,.000001);
Block.setDestroyTime(207,0.3);

Block.defineBlock(208,"Kitchen Cabinet",[["stained_clay",9],["stained_clay",9],["stained_clay",9],["kitchen_cabinet",0],["stained_clay",9],["stained_clay",9],
                                      ["stained_clay",9],["stained_clay",9],["stained_clay",9],["stained_clay",9],["stained_clay",9],["kitchen_cabinet",0],
                                      ["stained_clay",9],["stained_clay",9],["kitchen_cabinet",0],["stained_clay",9],["stained_clay",9],["stained_clay",9],
                            ["stained_clay",9],["stained_clay",9],["stained_clay",9],["stained_clay",9],["kitchen_cabinet",0],["stained_clay",9]],1,false);
Block.setLightOpacity(208,.000001);
Block.setDestroyTime(208,0.3);

Block.defineBlock(209,"Kitchen Counter",[["quartz_block",0],["stained_clay",9],["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0]],1,false);
Block.setLightOpacity(209,.000001);
Block.setDestroyTime(209,0.3);

Block.defineBlock(210,"Microwave",[["quartz_block",0],["quartz_block",0],["microwave",0],["quartz_block",0],["quartz_block",0],["quartz_block",0]],1,false);
Block.setShape(210,0/16,0,3/16,16/16,0.5,13/16);
Block.setLightOpacity(210,.000001);
Block.setRenderLayer(210,4);
Block.setDestroyTime(210,0.3);

Block.defineBlock(211,"Oven",[["quartz_block",0],["oven_top",0],["quartz_block",0],["oven",0],["quartz_block",0],["quartz_block",0],
                              ["quartz_block",0],["oven_top",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["oven",0],
                              ["quartz_block",0],["oven_top",0],["oven",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],
                              ["quartz_block",0],["oven_top",0],["quartz_block",0],["quartz_block",0],["oven",0],["quartz_block",0]],1,false);
Block.setLightOpacity(211,.000001);
Block.setDestroyTime(211,0.3);

Block.defineBlock(212,"Oven Top",[["oven_overhead",0],["stone",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0]],1,false);
Block.setDestroyTime(212,0.3);
Block.setShape(212,0/16,7/8,0/16,16/16,8/8,16/16);
Block.setLightOpacity(212,.000001);

Block.defineBlock(213,"Oven Top 2",[["quartz_block",0]],1,false);
Block.setDestroyTime(213,0.3);
Block.setLightOpacity(213,.000001);
Block.setShape(213,4/16,0/16,4/16,12/16,16/16,16/16);

Block.defineBlock(214,"Stereo",[["log2",0],["log2",0],["stereo",0],["log2",0],["log2",0],["log2",0]],5,false);
Block.setShape(214,0,0,3/16,1,0.5,13/16);
Block.setLightOpacity(214,.000001);
Block.setDestroyTime(214,0.3);

Block.defineBlock(215,"Stone Path",[["stone_path",0]],1,false);
Block.setShape(215,0/16,0,0/16,16/16,0.07,16/16);
Block.setLightOpacity(215,.000001);
Block.setDestroyTime(215,0.3);
Block.setRenderLayer(215,3);

Block.defineBlock(216,"Stone Table",[["stone",6]],1,false);
Block.setShape(216,0/16,0/16,0/16,16/16,1/16,16/16);
Block.setLightOpacity(216,.000001);
Block.setDestroyTime(216,0.3);

Block.defineBlock(217,"StoneTable2",[["stone",0]],1,false);
Block.setShape(217,5/16,0/16,5/16,11/16,16/16,11/16);
Block.setLightOpacity(217,.000001);
Block.setDestroyTime(217,0.3);

Block.defineBlock(218,"TelevisionOff",[["log2",0],["log2",0],["television",0],["log2",0],["log2",0],["log2",0]],5,false);
Block.setLightOpacity(218,.000001);
Block.setDestroyTime(218,0.3);

Block.defineBlock(219,"TelevisionOn",[["log2",0],["log2",0],["television_on",0],["log2",0],["log2",0],["log2",0]],5,false);
Block.setLightOpacity(219,.000001);
Block.setDestroyTime(219,0.3);

Block.defineBlock(220,"Washing Machine",[["quartz_block",0],["quartz_block",0],["quartz_block",0],["washing_machine",0],["quartz_block",0],["quartz_block",0],
                                      ["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["washing_machine",0],
                                      ["quartz_block",0],["quartz_block",0],["washing_machine",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],
                            ["quartz_block",0],["quartz_block",0],["quartz_block",0],["quartz_block",0],["washing_machine",0],["quartz_block",0]],1,false);
Block.setLightOpacity(220,.000001);
Block.setDestroyTime(220,0.3);
Block.setRenderLayer(220,4);

Block.defineBlock(221,"Wooden Table",[["log",0]],5,false);
Block.setShape(221,0/16,0/16,0/16,16/16,1/16,16/16);
Block.setLightOpacity(221,.000001);
Block.setDestroyTime(221,0.3);

Block.defineBlock(222,"WoodenTable2",[["planks",0]],1,false);
Block.setShape(222,5/16,0/16,5/16,11/16,16/16,11/16);
Block.setLightOpacity(222,.000001);
Block.setDestroyTime(222,0.3);

//Stained Glass

Block.defineBlock(223,"White Stained Glass",[["white_stained_glass",0]],20,false);
Block.setRenderLayer(223,1);
Block.setLightOpacity(223,.000001);
Block.setDestroyTime(223,0.1);

Block.defineBlock(224,"Orange Stained Glass",[["orange_stained_glass",0]],20,false);
Block.setRenderLayer(224,1);
Block.setLightOpacity(224,.000001);
Block.setDestroyTime(224,0.1);

Block.defineBlock(225,"Magenta Stained Glass",[["magenta_stained_glass",0]],20,false);
Block.setRenderLayer(225,1);
Block.setLightOpacity(225,.000001);
Block.setDestroyTime(225,0.1);

Block.defineBlock(226,"Light Blue Stained Glass",[["light_blue_stained_glass",0]],20,false);
Block.setRenderLayer(226,1);
Block.setLightOpacity(226,.000001);
Block.setDestroyTime(226,0.1);

Block.defineBlock(227,"Yellow Stained Glass",[["yellow_stained_glass",0]],20,false);
Block.setRenderLayer(227,1);
Block.setLightOpacity(227,.000001);
Block.setDestroyTime(227,0.1);

Block.defineBlock(228,"Lime Stained Glass",[["lime_stained_glass",0]],20,false);
Block.setRenderLayer(228,1);
Block.setLightOpacity(228,.000001);
Block.setDestroyTime(228,0.1);

Block.defineBlock(229,"Pink Stained Glass",[["pink_stained_glass",0]],20,false);
Block.setRenderLayer(229,1);
Block.setLightOpacity(229,.000001);
Block.setDestroyTime(229,0.1);

Block.defineBlock(230,"Gray Stained Glass",[["gray_stained_glass",0]],20,false);
Block.setRenderLayer(230,1);
Block.setLightOpacity(230,.000001);
Block.setDestroyTime(230,0.1);

Block.defineBlock(231,"Light Gray Stained Glass",[["light_gray_stained_glass",0]],20,false);
Block.setRenderLayer(231,1);
Block.setLightOpacity(231,.000001);
Block.setDestroyTime(231,0.1);

Block.defineBlock(232,"Cyan Stained Glass",[["cyan_stained_glass",0]],20,false);
Block.setRenderLayer(232,1);
Block.setLightOpacity(232,.000001);
Block.setDestroyTime(232,0.1);

Block.defineBlock(233,"Purple Stained Glass",[["purple_stained_glass",0]],20,false);
Block.setRenderLayer(233,1);
Block.setLightOpacity(233,.000001);
Block.setDestroyTime(233,0.1);

Block.defineBlock(234,"Blue Stained Glass",[["blue_stained_glass",0]],20,false);
Block.setRenderLayer(234,1);
Block.setLightOpacity(234,.000001);
Block.setDestroyTime(234,0.1);

Block.defineBlock(235,"Brown Stained Glass",[["brown_stained_glass",0]],20,false);
Block.setRenderLayer(235,1);
Block.setLightOpacity(235,.000001);
Block.setDestroyTime(235,0.1);

Block.defineBlock(236,"Green Stained Glass",[["green_stained_glass",0]],20,false);
Block.setRenderLayer(236,1);
Block.setLightOpacity(236,.000001);
Block.setDestroyTime(236,0.1);

Block.defineBlock(237,"Red Stained Glass",[["red_stained_glass",0]],20,false);
Block.setRenderLayer(237,1);
Block.setLightOpacity(237,.000001);
Block.setDestroyTime(237,0.1);

Block.defineBlock(238,"Black Stained Glass",[["black_stained_glass",0]],20,false);
Block.setRenderLayer(238,1);
Block.setLightOpacity(238,.000001);
Block.setDestroyTime(238,0.1);


//Items

ModPE.setItem(601,"bin_item",0,"Bin");
ModPE.setItem(602,"cabinet_item",0,"Cabinet");
ModPE.setItem(603,"chopping_board_item",0,"Chopping Board");
ModPE.setItem(604,"computer_item",0,"Computer");
ModPE.setItem(605,"dishwasher_item",0,"Dishwasher");
ModPE.setItem(606,"fridge_item",0,"Fridge");
ModPE.setItem(607,"kitchen_cabinet_item",0,"Kitchen Cabinet");
ModPE.setItem(608,"kitchen_counter_item",0,"Kitchen Counter");
ModPE.setItem(609,"microwave_item",0,"Microwave");
ModPE.setItem(610,"oven_item",0,"Oven");
ModPE.setItem(611,"oven_top_item",0,"Oven Top");
ModPE.setItem(612,"stereo_item",0,"Stereo");
ModPE.setItem(613,"stone_path_item",0,"Stone Path");
ModPE.setItem(614,"stone_table_item",0,"Stone Table");
ModPE.setItem(615,"television_item",0,"Television");
ModPE.setItem(616,"washing_machine_item",0,"Washing Machine");
ModPE.setItem(617,"wooden_table_item",0,"Wooden Table");

//Command

function procCmd(cmd){
cmd = cmd.toLowerCase();
if(cmd == "furniture"){
Level.setGameMode(0);
addItemInventory(601,32);
addItemInventory(602,32);
addItemInventory(603,32);
addItemInventory(604,32);
addItemInventory(605,32);
addItemInventory(606,32);
addItemInventory(607,32);
addItemInventory(608,32);
addItemInventory(609,32);
addItemInventory(610,32);
addItemInventory(611,32);
addItemInventory(612,32);
addItemInventory(613,32);
addItemInventory(614,32);
addItemInventory(615,32);
addItemInventory(616,32);
addItemInventory(617,32);
addItemInventory(223,32);
addItemInventory(224,32);
addItemInventory(225,32);
addItemInventory(226,32);
addItemInventory(227,32);
addItemInventory(228,32);
addItemInventory(229,32);
addItemInventory(230,32);
addItemInventory(231,32);
addItemInventory(232,32);
addItemInventory(233,32);
addItemInventory(234,32);
addItemInventory(235,32);
addItemInventory(236,32);
addItemInventory(237,32);
addItemInventory(238,32);
 clientMessage("§aAll the furniture is now in your inventory!")
}
}

//Recipes

Item.addShapedRecipe(601,1,0,["121","1 1","1 1"],["1",265,0,"2",1,0]);
Item.addShapedRecipe(602,1,0,["111","121","111"],["1",5,0,"2",54,0]);
Item.addShapedRecipe(603,1,0,["111","222","111"],["1",17,0,"2",44,2]);
Item.addShapedRecipe(604,1,0,["111","121","131"],["1",42,0,"2",102,0,"3",331,0]);
Item.addShapedRecipe(605,1,0,["111","111","111"],["1",155,0,"2",159,9]);
Item.addShapedRecipe(606,1,0,["111","121","131"],["1",42,0,"2",54,0,"3",79,0]);
Item.addShapedRecipe(607,1,0,["111","232","111"],["1",155,0,"2",159,9,"3",54,0]);
Item.addShapedRecipe(608,1,0,["111","222","222"],["1",159,9,"2",155,0]);
Item.addShapedRecipe(609,1,0,["111","223","111"],["1",155,0,"2",102,0,"3",1,0]);
Item.addShapedRecipe(610,1,0,["111","121","111"],["1",42,0,"2",54,0]);
Item.addShapedRecipe(611,1,0,[" 1 "," 1 ","121"],["1",265,0,"2",89,0]);
Item.addShapedRecipe(612,1,0,["   "," 1 ","222"],["1",265,0,"2",5,4]);
Item.addShapedRecipe(613,1,0,["1  "," 1 ","  1"],["1",1,3]);
Item.addShapedRecipe(614,1,0,["111"," 1 "," 1 "],["1",1,0]);
Item.addShapedRecipe(615,1,0,["111","121","131"],["1",162,0,"2",102,0,"3",331,0]);
Item.addShapedRecipe(616,1,0,["111","121","131"],["1",155,0,"2",102,0,"3",145,0]);
Item.addShapedRecipe(617,1,0,["111"," 1 "," 1 "],["1",5,0]);

//Creative

Item.setCategory(601,ItemCategory.DECORATION);
Player.addItemCreativeInv(601,1,0);
Item.setCategory(602,ItemCategory.DECORATION);
Player.addItemCreativeInv(602,1,0);
Item.setCategory(603,ItemCategory.DECORATION);
Player.addItemCreativeInv(603,1,0);
Item.setCategory(604,ItemCategory.DECORATION);
Player.addItemCreativeInv(604,1,0);
Item.setCategory(605,ItemCategory.DECORATION);
Player.addItemCreativeInv(605,1,0);
Item.setCategory(606,ItemCategory.DECORATION);
Player.addItemCreativeInv(606,1,0);
Item.setCategory(607,ItemCategory.DECORATION);
Player.addItemCreativeInv(607,1,0);
Item.setCategory(608,ItemCategory.DECORATION);
Player.addItemCreativeInv(608,1,0);
Item.setCategory(609,ItemCategory.DECORATION);
Player.addItemCreativeInv(609,1,0);
Item.setCategory(610,ItemCategory.DECORATION);
Player.addItemCreativeInv(610,1,0);
Item.setCategory(611,ItemCategory.DECORATION);
Player.addItemCreativeInv(611,1,0);
Item.setCategory(612,ItemCategory.DECORATION);
Player.addItemCreativeInv(612,1,0);
Item.setCategory(613,ItemCategory.DECORATION);
Player.addItemCreativeInv(613,1,0);
Item.setCategory(614,ItemCategory.DECORATION);
Player.addItemCreativeInv(614,1,0);
Item.setCategory(615,ItemCategory.DECORATION);
Player.addItemCreativeInv(615,1,0);
Item.setCategory(616,ItemCategory.DECORATION);
Player.addItemCreativeInv(616,1,0);
Item.setCategory(617,ItemCategory.DECORATION);
Player.addItemCreativeInv(617,1,0);

Item.setCategory(223,ItemCategory.DECORATION);
Player.addItemCreativeInv(223,1,0);
Item.setCategory(224,ItemCategory.DECORATION);
Player.addItemCreativeInv(224,1,0);
Item.setCategory(225,ItemCategory.DECORATION);
Player.addItemCreativeInv(225,1,0);
Item.setCategory(226,ItemCategory.DECORATION);
Player.addItemCreativeInv(226,1,0);
Item.setCategory(227,ItemCategory.DECORATION);
Player.addItemCreativeInv(227,1,0);
Item.setCategory(228,ItemCategory.DECORATION);
Player.addItemCreativeInv(228,1,0);
Item.setCategory(229,ItemCategory.DECORATION);
Player.addItemCreativeInv(229,1,0);
Item.setCategory(230,ItemCategory.DECORATION);
Player.addItemCreativeInv(230,1,0);
Item.setCategory(231,ItemCategory.DECORATION);
Player.addItemCreativeInv(231,1,0);
Item.setCategory(232,ItemCategory.DECORATION);
Player.addItemCreativeInv(232,1,0);
Item.setCategory(233,ItemCategory.DECORATION);
Player.addItemCreativeInv(233,1,0);
Item.setCategory(234,ItemCategory.DECORATION);
Player.addItemCreativeInv(234,1,0);
Item.setCategory(235,ItemCategory.DECORATION);
Player.addItemCreativeInv(235,1,0);
Item.setCategory(236,ItemCategory.DECORATION);
Player.addItemCreativeInv(236,1,0);
Item.setCategory(237,ItemCategory.DECORATION);
Player.addItemCreativeInv(237,1,0);
Item.setCategory(238,ItemCategory.DECORATION);
Player.addItemCreativeInv(238,1,0);

//Functions

function useItem(x,y,z,itemId,blockId,side,itemDamage,blockDamage){
var id;
var ready=true;
if(itemId==602){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=202;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=202;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=202;
id2=3;
}else{
id=202;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(602,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(602,-1);
}if(side==2){
if(blockId!==202&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(602,-1);
}}if(side==3){
if(blockId!==202&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(602,-1);
}}if(side==5){
if(blockId!==202&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(602,-1);
}}if(side==4){
if(blockId!==202&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(602,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}
else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==605){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=206;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=206;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=206;
id2=3;
}else{
id=206;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(605,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(605,-1);
}if(side==2){
if(blockId!==206&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(605,-1);
}}if(side==3){
if(blockId!==206&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(605,-1);
}}if(side==5){
if(blockId!==206&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(605,-1);
}}if(side==4){
if(blockId!==206&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(605,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==607){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=208;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=208;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=208;
id2=3;
}else{
id=208;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(607,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(607,-1);
}if(side==2){
if(blockId!==208&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(607,-1);
}}if(side==3){
if(blockId!==208&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(607,-1);
}}if(side==5){
if(blockId!==208&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(607,-1);
}}if(side==4){
if(blockId!==208&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(607,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==610){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=211;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=211;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=211;
id2=3;
}else{
id=211;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(610,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(610,-1);
}if(side==2){
if(blockId!==211&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(610,-1);
}}if(side==3){
if(blockId!==211&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(610,-1);
}}if(side==5){
if(blockId!==211&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(610,-1);
}}if(side==4){
if(blockId!==211&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(610,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId,blockId,side,itemDamage,blockDamage);
var id;
var ready=true;
if(itemId==616){
preventDefault();
if(ready==true){ 
var id2=0
var myDir = Math.round(Entity.getYaw(Player.getEntity())%360);
if(myDir<0)
myDir = myDir + 360;
if(myDir >= 45 && myDir < 135){
id=220;
id2=1;
}else if(myDir >= 135 && myDir < 225){
id=220;
id2=0;
}else if(myDir >= 225 && myDir < 315){
id=220;
id2=3;
}else{
id=220;
id2=2;
}}if(side==1){ //top
setTile(x,y+1,z,id,id2);
addItemInventory(616,-1);
}if(side==0){ //bottom
setTile(x,y-1,z,id,id2);
addItemInventory(616,-1);
}if(side==2){
if(blockId!==220&&blockDamage!=2){
setTile(x,y,z-1,id,id2);
addItemInventory(616,-1);
}}if(side==3){
if(blockId!==220&&blockDamage!=0){
setTile(x,y,z+1,id,id2);
addItemInventory(616,-1);
}}if(side==5){
if(blockId!==220&&blockDamage!=1){
setTile(x+1,y,z,id,id2);
addItemInventory(616,-1);
}}if(side==4){
if(blockId!==220&&blockDamage!=3){
setTile(x-1,y,z,id,id2);
addItemInventory(616,-1);
}}Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==601){
setTile(x,y+1,z,201,0);
addItemInventory(601,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==603){
setTile(x,y+1,z,203,0);
addItemInventory(603,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}
else if(x,y,z,itemId);
if(itemId==604){
setTile(x,y+1,z+1,205);
setTile(x,y+1,z,204);
addItemInventory(604,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==606){
setTile(x,y+1,z,207,0);
setTile(x,y+2,z,207,0);
addItemInventory(606,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==608){
setTile(x,y+1,z,209,0);
addItemInventory(608,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==609){
setTile(x,y+1,z,210,0);
addItemInventory(609,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==611){
setTile(x,y+2,z,213);
setTile(x,y+1,z,212);
addItemInventory(611,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==612){
setTile(x,y+1,z,214);
addItemInventory(612,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}
else if(x,y,z,itemId);
if(itemId==613){
setTile(x,y+1,z,215);
addItemInventory(613,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==614){
setTile(x,y+1,z,217);
setTile(x,y+2,z,216);
addItemInventory(614,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.stone",50,0);
}
else if(x,y,z,itemId);
if(itemId==615){
setTile(x,y+1,z,218);
addItemInventory(615,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}
else if(x,y,z,itemId);
if(itemId==617){
setTile(x,y+1,z,222);
setTile(x,y+2,z,221);
addItemInventory(617,-1);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"step.wood",50,0);
}

//Computer

else if(x,y,z,blockId);
if(blockId==205){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
clientMessage("§eWelcome to the PocketStore");
clientMessage("§61 Diamond = 3 Emeralds");
clientMessage("§61 Gold Ingot = 3 Iron Ingots");
clientMessage("§61 Coal = 3 Bread");
}
else if(x,y,z,blockId,itemId);
if(blockId==205&&itemId==264){
addItemInventory(388,3);
addItemInventory(264,-1);
clientMessage("§aItem bought successfully");
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
Level.addParticle(ParticleType.heart,x,y,z,0,0,0,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==205&&itemId==266){
addItemInventory(265,3);
addItemInventory(266,-1);
clientMessage("§aItem bought successfully");
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
Level.addParticle(ParticleType.heart,x,y,z,0,0,0,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==205&&itemId==263){
addItemInventory(297,3);
addItemInventory(263,-1);
clientMessage("§aItem bought successfully");
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
Level.addParticle(ParticleType.heart,x,y,z,0,0,0,0);
}

//Television

else if(x,y,z,blockId);
if(blockId==218){
setTile(x,y,z,219);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
clientMessage("§aYou turned on the TV");
}
else if(x,y,z,blockId);
if(blockId==219){
setTile(x,y,z,218);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
clientMessage("§cYou turned off the TV");
}

//Bin

else if(x,y,z,blockId);
if(blockId==201){
Entity.setCarriedItem(Player.getEntity(),0,0,0);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
}

//Stereo

else if(x,y,z,blockId);
if(blockId==214){
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.click",50,0);
}

//Fridge

else if(x,y,z,blockId,itemId);
if(blockId==207&&itemId==320){
addItemInventory(319,1);
addItemInventory(320,-1);
}
else if(x,y,z,blockId,itemId);
if(blockId==207&&itemId==364){
addItemInventory(363,1);
addItemInventory(364,-1);
}
else if(x,y,z,blockId,itemId);
if(blockId==207&&itemId==366){
addItemInventory(365,1);
addItemInventory(366,-1);
}

//Microwave

else if(x,y,z,blockId,itemId);
if(blockId==210&&itemId==392){
addItemInventory(393,1);
addItemInventory(392,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}

//Oven

else if(x,y,z,blockId,itemId);
if(blockId==211&&itemId==319){
addItemInventory(320,1);
addItemInventory(319,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==211&&itemId==363){
addItemInventory(364,1);
addItemInventory(363,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==211&&itemId==365){
addItemInventory(366,1);
addItemInventory(365,-1);
Level.addParticle(ParticleType.smoke,x,y,z,0,0,0,150);
Level.playSound(getPlayerX(),getPlayerY(),getPlayerZ(),"random.fizz",50,0);
}

//Don't place blocks

else if(x,y,z,blockId);
if(blockId==201&&itemId==601){
setTile(x,y+1,z,0);
setTile(x,y+2,z,0);
}
else if(x,y,z,blockId,itemId);
if(blockId==203&&itemId==603){
setTile(x,y+1,z,0);
addItemInventory(603,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==204&&itemId==604){
setTile(x,y+1,z,0);
setTile(x,y+1,z+1);
addItemInventory(604,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==205&&itemId==604){
setTile(x,y+1,z,0);
setTile(x,y+1,z+1,0);
addItemInventory(604,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==207&&itemId==606){
setTile(x,y+2,z,0);
addItemInventory(606,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==209&&itemId==608){
setTile(x,y+1,z,0);
addItemInventory(608,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==210&&itemId==609){
setTile(x,y+1,z,0);
addItemInventory(609,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==214&&itemId==612){
setTile(x,y+1,z,0);
addItemInventory(612,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==215&&itemId==613){
setTile(x,y+1,z,0);
addItemInventory(613,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==218&&itemId==615){
setTile(x,y+1,z,0);
addItemInventory(615,1);
}
else if(x,y,z,blockId,itemId);
if(blockId==219&&itemId==615){
setTile(x,y+1,z,0);
addItemInventory(615,1);
}
}

//Destroy Block

/*function destroyBlock(x,y,z){
var blockId = getTile(x,y,z);
if(blockId==207&&getTile(x,y-1,z)==207)
{
Level.setTile(x,y-1,z,0,0);
Level.dropItem(x,y,z,0,606,1,0)
Level.destroyBlock(x,y,z,false);
}

else if(blockId==207&&getTile(x,y+1,z)==207)
{
Level.setTile(x,y+1,z,0,0);
Level.dropItem(x,y,z,0,606,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==205&&getTile(x,y,z-1)==204)
{
Level.setTile(x,y,z-1,0,0);
Level.dropItem(x,y,z,0,604,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==204&&getTile(x,y,z+1)==205)
{
Level.setTile(x,y,z+1,0,0);
Level.dropItem(x,y,z,0,604,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==213&&getTile(x,y-1,z)==212)
{
Level.setTile(x,y-1,z,0,0);
Level.dropItem(x,y,z,0,611,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==212&&getTile(x,y+1,z)==213)
{
Level.setTile(x,y+1,z,0,0);
Level.dropItem(x,y,z,0,611,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==216&&getTile(x,y-1,z)==217)
{
Level.setTile(x,y-1,z,0,0);
Level.dropItem(x,y,z,0,614,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==217&&getTile(x,y+1,z)==216)
{
Level.setTile(x,y+1,z,0,0);
Level.dropItem(x,y,z,0,614,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==221&&getTile(x,y-1,z)==222)
{
Level.setTile(x,y-1,z,0,0);
Level.dropItem(x,y,z,0,617,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==222&&getTile(x,y+1,z)==221)
{
Level.setTile(x,y+1,z,0,0);
Level.dropItem(x,y,z,0,617,1,0);
Level.destroyBlock(x,y,z,false);
}
else if(blockId==201){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,601,1,0);
var blockId = Level.getTile(x, y, z);
}
else if(blockId==202){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,602,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==203){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,603,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==206){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,605,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==208){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,607,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==209){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,608,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==210){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,609,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==211){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,610,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==214){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,612,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==215){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,613,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==218){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,615,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==219){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,615,1,0); 
var blockId = Level.getTile(x, y, z);
}
else if(blockId==220){ Level.destroyBlock(x, y, z, false); Level.dropItem(x,y,z,0,616,1,0); 
var blockId = Level.getTile(x, y, z);
}
}*/